<script>
import Vue from 'vue';
import VuePrism from 'vue-prism';
import 'prismjs/themes/prism.css';
import 'prismjs/components/prism-python';
import 'prismjs/components/prism-go';
import 'prismjs/components/prism-clike';

Vue.use(VuePrism);

export default {
  name: 'CodeHighlight',
  props: {
    source: {
      type: String,
      required: true,
    },
    language: {
      type: String,
      required: true,
    },
  },
};
</script>

<template>
  <pre :class="`language-${language}`">
    <code>
      {{ source }}
    </code>
  </pre>
</template>
